/* tooltip styles */
.ui-tooltip {
    display: inline-block;
    vertical-align: top;
    padding-top: 6px;
    cursor: help;
}
.webui-popover {
    border:none;
    background:#1d9ad6;
    border-radius:2px;
    box-shadow:none;
    padding:0;
    -webkit-box-sizing:border-box;
    -moz-box-sizing:border-box;
    box-sizing:border-box;
    position:absolute;
    max-width:450px;
}
.webui-popover.top-left {
    margin-top: -3px;
    margin-left: 7px;
}
.webui-popover .webui-popover-content {
    padding: 13px 14px 13px 14px;
}
.webui-popover, .webui-popover a {
    font: 14px/1.286 'Arial Regular', Helvetica, sans-serif;
    color: #fff;
}
.webui-popover > .webui-arrow {
    position: absolute;
    content: '';
    background: url('/images/tooltip-arrow.png');
    width: 15px;
    height: 8px;
    right: 15px;
    bottom: -8px;
    border:  none;
}

/* ZNO Calculator */
#zno {
    margin-top:50px;
    display:flex;
}
#zno #sidebar {
    width:100%;
    max-width:210px;
    min-width:210px;
}
#zno #sidebar + #zno--content {
    margin-left:20px;
}

#zno .form * {
    padding:0;
    margin:0;
}
#zno .form input[type=radio],
#zno .form input[type=checkbox]{
    position:absolute;
    cursor:pointer;
    opacity:0;
    height:0;
    width:0;
}
#zno .form label ~ label {
    margin-top:10px;
}
#zno .form label {
    align-items:center;
    position:relative;
    cursor:pointer;
    font-size:12px;
    line-height:14px;
    display:flex;
    /* width:100%; */
    color:#000;
}
#zno .form input[type=radio] + label:before,
#zno .form input[type=checkbox] + label:before {
    content:'';
    background-color:#fff;
    margin:auto 7px auto 0;
    border:1px solid #979797;
    display:inline-block;
    max-width:18px;
    min-width:18px;
    width:100%;
    height:18px;
    min-height:18px;
    max-height:18px;
    vertical-align:middle;
    cursor:pointer;
    text-align:center;
}
#zno .form input[type=radio] + label:before {
    border-radius:100%;
    transition:all 250ms ease;
}
#zno .form input[type=checkbox] + label:before {
    border-radius:3px;
}
#zno .form input[type=checkbox]:disabled +label::before {
    background-color:#E4E3E3;
}

#zno .form input[type=radio]:checked  + label:before {
    background-color:#FFD600;
    box-shadow:inset 0 0 0 4px #fff;
}
#zno .form input[type=checkbox]:checked  + label:before {
    background-image:url('data:image/svg+xml;base64,PHN2ZyB4bWxucz0iaHR0cDovL3d3dy53My5vcmcvMjAwMC9zdmciIGZpbGw9Im5vbmUiIHZpZXdCb3g9IjAgMCAxMSAxMSI+CiAgPGRlZnMvPgogIDxwYXRoIGZpbGw9IiNGRkQ2MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIgZD0iTTEwLjcxIDEuODdjLjM4LS41NC4yNS0xLjI4LS4yOS0xLjY2YTEuMiAxLjIgMCAwMC0xLjY3LjNMNC4yMyA2LjlsLTIuMTEtMi41YTEuMiAxLjIgMCAwMC0xLjY5LS4xNmMtLjUuNDItLjU4IDEuMTctLjE1IDEuNjdsMy4wNiAzLjY2YTEuMiAxLjIgMCAwMDIuMDEtLjI2Yy4xMi0uMDguMjMtLjE4LjMyLS4zbDUuMDQtNy4xNXoiIGNsaXAtcnVsZT0iZXZlbm9kZCIvPgo8L3N2Zz4K');
    background-repeat:no-repeat;
    /* background-size:10px 10px; */
    background-size:14px;
    background-position:center;
}
#zno .form .hr {
    border:0;
    border-top-width:1px;
    border-style:solid;
    border-color:#E4E3E3;
}


#zno #sidebar .title {
    color:#fff;
    font-size:16px;
    padding:1em;
    background-color:#FFD600;
    border-top-left-radius:5px;
    border-top-right-radius:5px;
}
#zno #sidebar .form {
    border:1px solid #E4E3E3;
    border-top:0;
    padding:20px 15px 25px 15px;
}
#zno #sidebar .hr {
    margin:20px auto;
    border-style:dashed;
}
#zno .text--helper {
    color:#979797;
    font-size:12px;
    display:block;
    margin-bottom:10px;
    font-weight:normal;
}


#zno #zno--content .title--main {
    font-weight:bold;
    font-size:30px;
    line-height:34px;
}

#zno #zno--content #ui {
    margin:20px 0 15px 0;
    display:flex;
}
#zno #zno--content #ui .ui--card + .text-helper {
    margin-left:30px;
    width:100%;
    max-width:250px;
}
#zno #zno--content #ui .ui--card {
    background:#F8F8F8;
    border-radius:5px;
    padding:25px 30px;
}
#zno #zno--content #ui .ui--card .column-container {
    display:flex;
}
#zno #zno--content #ui .ui--card .column--left {
    max-width:170px;
    width:100%;
}
#zno #zno--content #ui .ui--card .column--left + .column--right {
    margin-left:30px;
}
#zno #zno--content #ui .ui--card .ui--subject {
    display:flex;
    padding-top:10px;
    margin-bottom:10px;
}
#zno #zno--content #ui .ui--card .ui--subject label {
    width:100%;
}
#zno #zno--content #ui .ui--card .ui--subject label + input {
    margin-left:10px;
    max-width:50px;
    width:100%;
}
#zno #zno--content #ui .ui--card .ui--subject + .ui--subject {
    border-top:1px solid #E4E3E3;
}

#zno #zno--content #ui .ui--card .ui--subject input::-webkit-outer-spin-button,
#zno #zno--content #ui .ui--card .ui--subject input::-webkit-inner-spin-button {
  -webkit-appearance:none;
  margin:0;
}
#zno #zno--content #ui .ui--card .ui--subject input[type=number] {
  -moz-appearance:textfield;
}
/* Placeholders */
#zno #zno--content #ui .ui--card .ui--subject input::-webkit-input-placeholder { /* WebKit, Blink, Edge */
    color:#979797;
}
#zno #zno--content #ui .ui--card .ui--subject input:-moz-placeholder { /* Mozilla Firefox 4 to 18 */
   color:#979797;
   opacity:1;
}
#zno #zno--content #ui .ui--card .ui--subject input::-moz-placeholder { /* Mozilla Firefox 19+ */
   color:#979797;
   opacity:1;
}
#zno #zno--content #ui .ui--card .ui--subject input:-ms-input-placeholder { /* Internet Explorer 10-11 */
   color:#979797;
}
#zno #zno--content #ui .ui--card .ui--subject input::-ms-input-placeholder { /* Microsoft Edge */
   color:#979797;
}
#zno #zno--content #ui .ui--card .ui--subject input::placeholder { /* Most modern browsers support this now. */
   color:#979797;
}
#zno #zno--content #ui .ui--card .ui--subject input:focus::-webkit-input-placeholder { /* WebKit, Blink, Edge */
    color:transparent;
}
#zno #zno--content #ui .ui--card .ui--subject input:focus:-moz-placeholder { /* Mozilla Firefox 4 to 18 */
    color:transparent;
}
#zno #zno--content #ui .ui--card .ui--subject input:focus::-moz-placeholder { /* Mozilla Firefox 19+ */
    color:transparent;
}
#zno #zno--content #ui .ui--card .ui--subject input:focus:-ms-input-placeholder { /* Internet Explorer 10-11 */
    color:transparent;
}
#zno #zno--content #ui .ui--card .ui--subject input:focus::-ms-input-placeholder { /* Microsoft Edge */
    color:transparent;
}
#zno #zno--content #ui .ui--card .ui--subject input:focus::placeholder { /* Most modern browsers support this now. */
    color:transparent;
}
/* Placeholders ENDs */

#zno #zno--content #ui .ui--card .ui--subject input {
    border:1px solid transparent;
    padding:5px;
    text-align:center;
    background:#fff;
    box-sizing:border-box;
}
#zno #zno--content #ui .ui--card .ui--subject input:focus,
#zno #zno--content #ui .ui--card .ui--subject input {
    outline:none;
    transition:.25s ease-out;
}

#zno #zno--content #ui .ui--card .ui--subject input.validation-error {
    border-color:#FF033E;
}
/* #zno #zno--content #ui .ui--card .ui--subject input.validation-success {
    border-color:#17B169;
} */

#zno #zno--content #ui .column--right .hr {
    margin:15px auto 20px auto;
}
#zno #zno--content #ui .column--right .checkbox + .checkbox {
    margin-top:12px;
}
#zno #zno--content #ui .column--right .checkbox {
    display:flex;
    align-items:center;
    /* justify-content:center; */
}
#zno #zno--content #ui .column--right .checkbox .ui-tooltip {
    margin-left:5px;
}

#zno #zno--content #ui .column--right .checkbox + .text--helper {
    margin-top:20px;
    display:block;
    font-size:11px;
    font-style:italic;
}
#zno #zno--content #ui .ui--card .column--single {
    width:100%;
    font-style:italic;
    font-size:11px;
    color:#979797;
}

#zno #zno--content #ui .text-helper {
    font-size:12px;
    line-height:18px;
    color:#979797;
}
#zno #zno--content #ui .text-helper .title {
    font-size:14px;
    line-height:14px;
    color:#606060;
}
#zno #zno--content #ui .text-helper .list {
    padding-left:13px;
}
#zno #zno--content #ui .text-helper .list li {
    margin-top:15px;
}

#zno #zno--content .ui--checkbox {
    color:#606060;
    margin-bottom:15px;
}
#zno #zno--content .ui--checkbox a {
    color:#586FB5;
}

#zno #zno--content #programs-table {
    border:0;
    border-spacing:0;
    border-collapse:collapse;
    border-radius:5px 5px 0px 0px;
}
#zno #zno--content #programs-table th,
#zno #zno--content #programs-table td {
    padding:15px;
}
#zno #zno--content #programs-table,
#zno #zno--content #programs-table tbody,
#zno #zno--content #programs-table tr,
#zno #zno--content #programs-table th,
#zno #zno--content #programs-table td {
    border-width:0;
    border-style:solid;
    border-color:#E4E3E3;
}

/* #zno #zno--content #programs-table th:first-child, */
/* #zno #zno--content #programs-table td {
    border-left-width:1px;
} */
/* #zno #zno--content #programs-table td:last-child {
    border-right-width:1px;
} */
#zno #zno--content #programs-table tbody {
    border-left-width:1px;
}
#zno #zno--content #programs-table td:not(:last-child),
#zno #zno--content #programs-table th:first-child,
#zno #zno--content #programs-table tbody {
    border-right-width:1px;
}
#zno #zno--content #programs-table {
    border-bottom-width:1px;
}
#zno #zno--content #programs-table th {
    color:#fff;
    background:#FFD600;
    font-size:16px;
    line-height:14px;
    border-bottom:0;
}
#zno #zno--content #programs-table th:first-child {
    border-radius:5px 0 0 0;
}
#zno #zno--content #programs-table th:last-child {
    border-radius:0 5px 0 0;
}
#zno #zno--content #programs-table td {
    color:#000;
    width:25%;
    /* width:100%; */
    /* min-width:160px; */
    max-width:180px;
    vertical-align:top;
}

#zno #zno--content #programs-table td a {
    color:#586FB5;
}
#zno #zno--content #programs-table .odd {
    background:#FFFDE7;
}
/* #zno #zno--content #programs-table .text--title, */
#zno #zno--content #programs-table .text--helper,
#zno #zno--content #programs-table .text--notification {
    display:block;
}
#zno #zno--content #programs-table .text--notification {
    margin-top:5px;
    font-size:12px;
    line-height:14px;
}
#zno #zno--content #programs-table .text--title {
    color:#606060;
}
#zno #zno--content #programs-table .text--helper {
    margin:0;
    color:#979797;
    font-size:12px;
    font-style:italic;
}
#zno #zno--content #programs-table .text--title + .text--helper {
    margin-top:5px;
}

#zno #zno--content #instuction {
    margin-top:30px;
}


#zno #zno--content #instuction .title {
    color:#606060;
    font-size:16px;
    font-weight:bold;
}
#zno #zno--content #instuction .title + .instruction-helper {
    color:#979797;
    margin-top:15px;
    margin-bottom:30px;
}
.js-user-program-score {
    display:block;
    font-size:14px;
    font-weight:bold;
    color:#606060;
}
.js-exam-title-select {
    font-weight:bold;
}

.locked .form {
    opacity:.7;
}
.locked label:before {
    background-color:#eee!important;
}

.lds-dual-ring {
    display:inline-block;
    width:20px;
    height:20px;
}
.lds-dual-ring:after {
  content:" ";
  display:block;
  width:18px;
  height:18px;
  margin:3px;
  border-radius:50%;
  border:3px solid #fff;
  border-color:#fff transparent #fff transparent;
  animation:lds-dual-ring 1.2s linear infinite;
}
@keyframes lds-dual-ring {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}
